WSDiscovery11::Types::QNameListType(3pm)

NAME

DESCRIPTION
Perl data type class for the XML Schema defined simpleType QNameListType from the namespace http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01.

This clase is derived from
    SOAP::WSDL::XSD::Typelib::Builtin::QName .

You may pass the following structure to new():

 [ $value_1, .. $value_n ]

All elements of the list must be of the class' base type (or valid arguments to it's constructor).

METHODS

  new
Constructor.

  get_value / set_value
Getter and setter for the simpleType's value.

OVERLOADING
Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check SOAP::WSDL::XSD::Typelib::Builtin for more information.

AUTHOR
Generated by SOAP::WSDL